searchData={"items":[{"type":"module","title":"Exoplanet","doc":"Exoplanet is a feed aggregator library that combines multiple RSS and Atom sources into a single, unified feed.\n\nExoplanet downloads news feeds, following the RSS or Atom specs, and aggregates\ntheir content together into a single combined feed. The news will be ordered\nbased on their publication date, in descending order.\n\nExoplanet is inspired by [Planet Venus](https://github.com/rubys/venus), and [NimblePublisher](https://github.com/dashbitco/nimble_publisher). It provides a flexible and efficient way to aggregate content from various sources.\n\nThis library is designed for developers who need to aggregate feeds in their applications.\nIt provides a simple and efficient way to combine multiple feeds into one.","ref":"Exoplanet.html"},{"type":"function","title":"Exoplanet.build/1","doc":"Returns a list of ordered post based on their publication date","ref":"Exoplanet.html#build/1"},{"type":"module","title":"Exoplanet.Config","doc":"Exoplanet configuration\n\nIn this section we expect the following attributees:\n\n* `name` - your planet's name\n* `link` - link to the main page\n* `owner_name` - your name\n* `owner_email` - your e-mail address\n* `about` - information about your Planet\n* `feed_timeout` - time in seconds the request to any given feed should timeout\n* `related_sites` - map of links to related sites, like other Planets or Feed Aggregators","ref":"Exoplanet.Config.html"},{"type":"function","title":"Exoplanet.Config.from_file/1","doc":"Creates `Exoplanet.Config` from the given file","ref":"Exoplanet.Config.html#from_file/1"},{"type":"type","title":"Exoplanet.Config.t/0","doc":"","ref":"Exoplanet.Config.html#t:t/0"},{"type":"module","title":"Exoplanet.Post","doc":"Post definition\n\nExoplanet will produce a list of these feed entries","ref":"Exoplanet.Post.html"},{"type":"function","title":"Exoplanet.Post.build/2","doc":"Builds the struct of posts or feed entries","ref":"Exoplanet.Post.html#build/2"},{"type":"type","title":"Exoplanet.Post.t/0","doc":"","ref":"Exoplanet.Post.html#t:t/0"},{"type":"exception","title":"Exoplanet.ParseError","doc":"Used for errors found during parsing","ref":"Exoplanet.ParseError.html"},{"type":"extras","title":"Exoplanet","doc":"# Exoplanet\n\nExoplanet is a feed aggregator library that combines multiple RSS and Atom\nsources into a single, unified feed.\n\nExoplanet downloads news feeds, following the RSS or Atom specs, and aggregates\ntheir content together into a single combined feed. The news will be ordered\nbased on their publication date, in descending order.\n\nExoplanet is inspired by [Planet Venus](https://github.com/rubys/venus), and\n[NimblePublisher](https://github.com/dashbitco/nimble_publisher). It provides\na flexible and efficient way to aggregate content from various sources.\n\nThis library is designed for developers who need to aggregate feeds in their applications.\nIt provides a simple and efficient way to combine multiple feeds into one.","ref":"readme.html"},{"type":"extras","title":"Installation - Exoplanet","doc":"This package can be installed by adding `exoplanet` to your list of\ndependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:exoplanet, \"~> 0.1.0\"}\n  ]\nend\n```\n\nYou can find this package documentation at  .","ref":"readme.html#installation"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.3"}}